FORUMS

[Resolved] [Q] Error compiling SystemUI.apk

17 posts
Thanks Meter: 18
 
By cvamoose, Junior Member on 26th August 2014, 05:08 AM
Post Reply Subscribe to Thread Email Thread
Hi,

I'm trying to follow this guide [HOWTO]Implement Swipe to Remove Notification in the AOSP Gingerbread 2.3.7 | MoltenMotherBoard (RC-20131210) rom.
The problem is i'm getting the following error when recompiling SystemUI at the end of step 1.6


Code:
I: Using Apktool 2.0.0-Beta7 on SystemUI
I: Smaling...
SystemUI\smali\com\android\systemui\statusbar\LatestItemContainer$1.smali[26,4]
Error for input '.parameter': Invalid directive
SystemUI\smali\com\android\systemui\statusbar\LatestItemContainer$1.smali[27,4]
Error for input '.parameter': Invalid directive
SystemUI\smali\com\android\systemui\statusbar\LatestItemContainer$1.smali[44,4]
Error for input '.parameter': Invalid directive
SystemUI\smali\com\android\systemui\statusbar\LatestItemContainer$1.smali[45,4]
Error for input '.parameter': Invalid directive
SystemUI\smali\com\android\systemui\statusbar\LatestItemContainer$1.smali[44,15]
 mismatched input '"e1"' expecting END_METHOD_DIRECTIVE
SystemUI\smali\com\android\systemui\statusbar\LatestItemContainer$1.smali[46,4]
Error for input '.parameter': Invalid directive
SystemUI\smali\com\android\systemui\statusbar\LatestItemContainer$1.smali[47,4]
Error for input '.parameter': Invalid directive
Exception in thread "main" brut.androlib.AndrolibException: Could not smali file
: com/android/systemui/statusbar/LatestItemContainer$1.smali
        at brut.androlib.src.SmaliBuilder.buildFile(SmaliBuilder.java:72)
        at brut.androlib.src.SmaliBuilder.build(SmaliBuilder.java:56)
        at brut.androlib.src.SmaliBuilder.build(SmaliBuilder.java:41)
        at brut.androlib.Androlib.buildSourcesSmali(Androlib.java:337)
        at brut.androlib.Androlib.buildSources(Androlib.java:298)
        at brut.androlib.Androlib.build(Androlib.java:284)
        at brut.androlib.Androlib.build(Androlib.java:258)
        at brut.apktool.Main.cmdBuild(Main.java:233)
        at brut.apktool.Main.main(Main.java:88)

I would have posted in the HowTo thread but I don't have enough posts yet.
Anyone help or pointer in the right direction would be appreciated.
Thanks.
Last edited by cvamoose; 1st September 2014 at 04:24 AM. Reason: Resolved
 
 
1st September 2014, 04:18 AM |#2  
OP Junior Member
Thanks Meter: 18
 
More
Hi,

I fixed my problem after trying a few different versions of apktool, I was able to use version 1.5.2 to successfully compile.

Using swipe to remove with no problems.
Post Reply Subscribe to Thread

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes